org.apache.hadoop.hdfs.server.datanode.web

## Class DatanodeHttpServer

- java.lang.Object
- - org.apache.hadoop.hdfs.server.datanode.web.DatanodeHttpServer

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class DatanodeHttpServer
      extends Object
      implements Closeable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatanodeHttpServer(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.hdfs.server.datanode.DataNode datanode, ServerSocketChannel externalHttpChannel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `InetSocketAddress` | `getHttpAddress()`
    `InetSocketAddress` | `getHttpsAddress()`
    `void` | `start()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatanodeHttpServer

          public DatanodeHttpServer(org.apache.hadoop.conf.Configuration conf,
                                    org.apache.hadoop.hdfs.server.datanode.DataNode datanode,
                                    ServerSocketChannel externalHttpChannel)
                             throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getHttpAddress

          public InetSocketAddress getHttpAddress()

    - #### getHttpsAddress

          public InetSocketAddress getHttpsAddress()

    - #### start

          public void start()
                     throws IOException

      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.